SDL_wasapi.h File Reference
`#include "../../SDL_internal.h"`
`#include "../SDL_sysaudio.h"`
Include dependency graph for SDL_wasapi.h:

Go to the source code of this file.

## Data Structures

struct | SDL_PrivateAudioData

## Macros

#define | _THIS SDL_AudioDevice *this

## Functions

int | WASAPI_PrepDevice (_THIS, const SDL_bool updatestream)
void | WASAPI_RefDevice (_THIS)
void | WASAPI_UnrefDevice (_THIS)
void | WASAPI_AddDevice (const SDL_bool iscapture, const char *devname, LPCWSTR devid)
void | WASAPI_RemoveDevice (const SDL_bool iscapture, LPCWSTR devid)
int | WASAPI_PlatformInit (void)
void | WASAPI_PlatformDeinit (void)
void | WASAPI_EnumerateEndpoints (void)
int | WASAPI_ActivateDevice (_THIS, const SDL_bool isrecovery)
void | WASAPI_PlatformThreadInit (_THIS)
void | WASAPI_PlatformThreadDeinit (_THIS)
void | WASAPI_PlatformDeleteActivationHandler (void *handler)
void | WASAPI_BeginLoopIteration (_THIS)

## Variables

SDL_atomic_t | WASAPI_DefaultPlaybackGeneration
SDL_atomic_t | WASAPI_DefaultCaptureGeneration

## Macro Definition Documentation

## _THIS

#define _THIS SDL_AudioDevice *this

Definition at line 36 of file SDL_wasapi.h.

## Function Documentation

## WASAPI_ActivateDevice()

int WASAPI_ActivateDevice | ( | _THIS | ,
|  | const SDL_bool | isrecovery
| ) |  |

## WASAPI_AddDevice()

void WASAPI_AddDevice | ( | const SDL_bool | iscapture,
|  | const char * | devname,
|  | LPCWSTR | devid
| ) |  |

## WASAPI_BeginLoopIteration()

void WASAPI_BeginLoopIteration | ( | _THIS |  | ) |

## WASAPI_EnumerateEndpoints()

void WASAPI_EnumerateEndpoints | ( | void |  | ) |

## WASAPI_PlatformDeinit()

void WASAPI_PlatformDeinit | ( | void |  | ) |

## WASAPI_PlatformDeleteActivationHandler()

void WASAPI_PlatformDeleteActivationHandler | ( | void * | handler | ) |

## WASAPI_PlatformInit()

int WASAPI_PlatformInit | ( | void |  | ) |

## WASAPI_PlatformThreadDeinit()

void WASAPI_PlatformThreadDeinit | ( | _THIS |  | ) |

## WASAPI_PlatformThreadInit()

void WASAPI_PlatformThreadInit | ( | _THIS |  | ) |

## WASAPI_PrepDevice()

int WASAPI_PrepDevice | ( | _THIS | ,
|  | const SDL_bool | updatestream
| ) |  |

## WASAPI_RefDevice()

void WASAPI_RefDevice | ( | _THIS |  | ) |

## WASAPI_RemoveDevice()

void WASAPI_RemoveDevice | ( | const SDL_bool | iscapture,
|  | LPCWSTR | devid
| ) |  |

## WASAPI_UnrefDevice()

void WASAPI_UnrefDevice | ( | _THIS |  | ) |

## Variable Documentation

## WASAPI_DefaultCaptureGeneration

SDL_atomic_t WASAPI_DefaultCaptureGeneration

## WASAPI_DefaultPlaybackGeneration

SDL_atomic_t WASAPI_DefaultPlaybackGeneration